# This Python file uses the following encoding: utf-8
import os
from pathlib import Path
import sys

from PySide6.QtCore import QObject, Property, qDebug, Slot, Signal
from PySide6.QtGui import QGuiApplication
from PySide6.QtQml import QQmlApplicationEngine, qmlRegisterSingletonType


class MyClass(QObject):
    def __init__(self, parent=None):
        super().__init__(parent)
        self.__my_int = 55
        qDebug("init myClass")

    @Property(int, constant=True)
    def myInt(self):
        return self.__my_int


if __name__ == "__main__":
    app = QGuiApplication(sys.argv)
    engine = QQmlApplicationEngine()
    qmlRegisterSingletonType(MyClass, "MyModule", 1, 0, "MyClass")
    qmlRegisterSingletonType(MyClass, "MyModule", 1, 0, "MyClass2")
    engine.load("main.qml")
    if not engine.rootObjects():
        sys.exit(-1)
    sys.exit(app.exec())
